/*
 * linux/include/asm-arm/arch-sa1100/mmzone.h
 *
 * 1999-12-29	Nicolas Pitre		Created
 */

extern pg_data_t node_data[];

#define NODE_DATA(nid)	(&node_data[nid])
#define NODE_MEM_MAP(nid)	NODE_DATA(nid)->node_mem_map

#define KVADDR_TO_NID(addr)	(((unsigned long)(addr) - PAGE_OFFSET) >> 25)
#define LOCAL_BASE_ADDR(addr)	(((unsigned long)(addr))&0xfe000000)
#define ADDR_TO_MAPBASE(addr)	NODE_MEM_MAP(KVADDR_TO_NID(addr))
